How can I replace the deprecated set_magic_quotes_runtime in php?


Question

I'm getting this message when I try to run a php script I have to use but did not write.

Deprecated: Function set_magic_quotes_runtime() is deprecated in /opt/lampp/htdocs/webEchange/SiteWeb_V5/inc/fpdf.php on line 1810

Here is line 1810:

set_magic_quotes_runtime(0);

If this is a deprecated function, what can I replace it with?

Thank you very much!

1
58
2/7/2010 7:24:54 PM

Check if it's on first. That should get rid of the warning and it'll ensure that if your code is run on older versions of PHP that magic quotes are indeed off.

Don't just remove that line of code as suggested by others unless you can be 100% sure that the code will never be run on anything before PHP 5.3.

<?php
// Check if magic_quotes_runtime is active
if(get_magic_quotes_runtime())
{
    // Deactivate
    set_magic_quotes_runtime(false);
}
?>

get_magic_quotes_runtime is NOT deprecated in PHP 5.3.
Source: http://us2.php.net/get_magic_quotes_runtime/

68
2/7/2010 7:52:39 PM

Licensed under: CC-BY-SA with attribution
Not affiliated with: Stack Overflow
Icon